<html>
  <head>
    <title>Functions 7</title>
    <script>
      function execute() {
        const checkElement = (arr, pos) => {
          let result;
          const left = arr[pos] > arr[pos - 1];
          const right = arr[pos] > arr[pos + 1];
          if (pos === 0)
            result = right;
          else if (pos === arr.length - 1)
            result = left;
          else
            result = left && right;
          return result;
        };
        const findElement = arr => {
          for (let i = 0; i < arr.length; i++) {
            if (checkElement(arr, i)) {
              return i;
            }
          }
          return -1;
        };
        const output = findElement(array.value.split(',').map(x => +x));
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Array: <input id="array"/></p>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
